Imports System.ComponentModel
Imports DevExpress.Xpo
Imports DevExpress.Persistent.Base
Imports DevExpress.ExpressApp.ConditionalAppearance
<DefaultClassOptions()> _
<Persistent("vv_ProductSelect")> _
<NavigationItem(False), CreatableItem(False)> _
<DefaultProperty("DisplayName")> _
<Appearance("Set QTT_Will Font style", AppearanceItemType:="ViewItem", FontStyle:=Drawing.FontStyle.Bold, BackColor:="240,240,240", TargetItems:="QTT_Will")> _
Public Class ProductSelect
    Inherits XPLiteObject
    Public Sub New(ByVal session As Session)
        MyBase.New(session)
    End Sub
    <Key(True), Persistent("Oid")> Public Oid As Guid
    <Persistent("Products")> Public Products As Products
    <Persistent("StorageComputed")> Public StorageComputed As StorageComputed
    <NonPersistent()> Public QTT_Will As Double
    ReadOnly Property DisplayName As String
        Get
            Return String.Format("{0}, {1}", Products.ProductNumber, Products.ShortName)
        End Get
    End Property
End Class
